package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="EmSbcnp对象", description="")
public class EmSbcnp implements Serializable {

    private static final long serialVersionUID=1L;

        @ApiModelProperty(value = "套料图号")
        private String tzbh;

        @ApiModelProperty(value = "组立")
        private String zl;

        @ApiModelProperty(value = "加工跨")
        private String kw;


        private String gx;
        private String jldw;

        @ApiModelProperty(value = "定额工时")
        @TableField(updateStrategy = FieldStrategy.IGNORED)
        private Double degs;

        @ApiModelProperty(value = "实动工时")
        @TableField(updateStrategy = FieldStrategy.IGNORED)
        private Double sdgs;

        @ApiModelProperty(value = "加工顺序")
        private String jgsx;

        @ApiModelProperty(value = "编辑人")
        private String bjry;

        @ApiModelProperty(value = "编辑日期")
        private String bjrq;

        @TableId(value = "id", type = IdType.ASSIGN_UUID)
        private String id;

        @ApiModelProperty(value = "夜班定额工时")
        private Double degsYb;
        @ApiModelProperty(value = "所属部门")
        private String szcs;

        @ApiModelProperty(value = "默认设备")
        private String sbmc;
        private String sbbh;

}
