package com.dsic.gj_erp.bean.jhgk.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmQfxq对象", description="")
public class QfExcel implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船名")
    @ExcelProperty(index = 0)
    private String dcCh;

    @ApiModelProperty(value = "批量")
    @ExcelProperty(index = 1)
    private String dcPl;

    @ApiModelProperty(value = "分段")
    @ExcelProperty(index = 2)
    private String dcFd;

    @ApiModelProperty(value = "配送场地")
    @ExcelProperty(index = 3)
    private String pscd;

    @ApiModelProperty(value = "车间主管")
    @ExcelProperty(index = 4)
    private String cjzg;

    @ApiModelProperty(value = "大板")
    @ExcelProperty(index = 5)
    @DateTimeFormat("yyyy/MM/dd")
    private String db;

    @ApiModelProperty(value = "型材")
    @ExcelProperty(index = 6)
    @DateTimeFormat("yyyy/MM/dd")
    private String xc;

    @ApiModelProperty(value = "T型材")
    @ExcelProperty(index = 7)
    @DateTimeFormat("yyyy/MM/dd")
    private String txc;

    @ApiModelProperty(value = "备注")
    @ExcelProperty(index = 8)
    private String bz;

    @ApiModelProperty(value = "状态")
    private String zt;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
