package com.dsic.gj_erp.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsic.gj_erp.bean.sy.SyDictItem;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author xhj
 * @since 2021-03-16
 */
@Mapper
public interface SyDictItemMapper extends BaseMapper<SyDictItem> {


    String queryTableDictTextByKey(@Param("table") String table, @Param("text") String text, @Param("code") String code, @Param("key") String key);
    String queryTableDictTextByKeySys(@Param("table") String table, @Param("text") String text, @Param("code") String code, @Param("key") String key,@Param("code1") String code1, @Param("key1") String key1);
    String queryDictTextByKey(@Param("code") String code,@Param("key") String key);

    @MapKey("itemCode")
    Map<String,SyDictItem> getCodeToMap(String dictCode);
}
